Bug 61482 - rpmbuild's brp-strip is not stripping
rpmbuild's brp-strip is not stripping
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-03-20 09:32 EST by Moritz Barsnick
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-20 09:32:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2002-03-20 09:32:32 EST
Description of Problem:

Using rpm-build-4.0.4-7x.5.i386.rpm, ELF binaries aren't being stripped anymore. (I may be wrong and the fault may be binutils- It's not "file"'s mistake, as I checked some packaged binaries with different versions of "file", e.g. on Solaris.

Version-Release number of selected component (if applicable):


How Reproducible:

always so far, seemingly also with RedHat's RawHide build system

Steps to Reproduce:
1. rpm -bb <your spec file>
2. rpm -Uvh <your resulting binary RPM>
3. file /usr/bin/<your binaries>

Actual Results:

Your binaries are not classifed as stripped ("file" says: "not stripped").

Expected Results:

Your binaries should be stripped.

Additional Information:
I noticed by chance while trying rpmlint for the first time and getting "non-stripped-binary" errors, both with packages of my own and e.g RawHide's ImageMagick- The "file" commands confirms rpmlint's hints.

./usr/lib/rpm/brp-strip calls "strip -g" on detected ELF binaries. This seems insufficient in terms of what "file" believes is "stripped". There may be a design decision for this "debug symbol stripping only", but I don't know, so I'm reporting.  ;-)  (I couldn't find anything in CHANGES.)

I've put the prio to "high" because the whole distribution is affected by your build system. :)

Thanks for listening,
Moritz   :-)
Comment 1 Jeff Johnson 2002-03-21 09:53:23 EST
Yes, only debugging symbols are now stripped.

The intent is to provide better info on segfaults.

Note You need to log in before you can comment on or make changes to this bug.